CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B > Struct Template Reference

Provides alternate access to a feedback register. More...

## Public Member Functions

| RegisterOutput (byte *output, const byte *input, CipherDir dir)
RegisterOutput & | operator() (WordType &registerWord)
| XOR feedback register with data. More...

## Public Attributes

byte * | m_output
const byte * | m_input
CipherDir | m_dir

## Detailed Description

### template<typename WT, unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B>
struct CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >

Provides alternate access to a feedback register.

Template Parameters

  B | enumeration indicating endianness

RegisterOutput() provides alternate access to the feedback register. The enumeration B is BigEndian or LittleEndian. Repeatedly applying operator() results in advancing in the register.

Definition at line 500 of file strciphr.h.

## Member Function Documentation

## operator()()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>
template<class B >

RegisterOutput& CFB_CipherConcretePolicy< WT, W, BASE >::RegisterOutput< B >::operator() | ( | WordType & | registerWord | ) |

inline

XOR feedback register with data.

Parameters

  registerWord | data represented as a word type

Returns
  reference to the next feedback register word

Definition at line 508 of file strciphr.h.

The documentation for this struct was generated from the following file:

- strciphr.h